Subject: Re: Equivalent of `svn switch` for git-svn?

From: Pierre Habouzit <[email-masked]>
Date: Thu, 27 Sep 2007 12:06:07 +0200

On Thu, Sep 27, 2007 at 06:41:10AM +0000, Adam Roben wrote:
> Hi all-
>   I've recently been informed that the Subversion server I and several 
> others have been tracking with git-svn will be switching from using the 
> svn+ssh scheme to the http scheme. To handle this, users of svn will be 
> running `svn switch` to move their working copies to the new repository 
> URL. Is there some way to do the same for git-svn? I suspect the biggest 
> complication will come from the git-svn-id: lines in the commit logs, 
> since changing that line would require changing the commit hash as well.

  edit your .git/config, in the section [svn-remote "svn"], change url =

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org